require_relative '../concerns/login_module.rb'

module CommonEngine
  class Admin < ApplicationRecord
    include CommonEngine::LoginModule

    default_scope -> {where(valid_flg: false)}
    has_secure_password validations: true
    validates :login_id, presence: true, uniqueness: true

    has_many :admin_login_history
  end
end
