module CommonEngine
  class Notice < ApplicationRecord
    default_scope -> {where(valid_flg: false)}
    
    belongs_to :idle, class_name: 'CommonEngine::Idle', primary_key: 'id', foreign_key: 'idle_id', optional: true
    belongs_to :user, class_name: 'CommonEngine::User', primary_key: 'id', foreign_key: 'user_id', optional: true
  end
end
