module CommonEngine
  class SettlementHistory < ApplicationRecord
    default_scope -> {where(valid_flg: false)}

    belongs_to :user, class_name: 'CommonEngine::User', primary_key: 'id', foreign_key: 'user_id'
    belongs_to :commodity, class_name: 'CommonEngine::Commodity', primary_key: 'id', foreign_key: 'commodity_id'
  end
end
