module CommonEngine
  module LoginModule
    extend ActiveSupport::Concern

    class_methods do
      def new_remember_token
        SecureRandom.urlsafe_base64
      end
      def encrypt(token)
        Digest::SHA256.hexdigest(token.to_s)
      end
    end
  end
end
