function initFullCallendar() {
  $('#calendar').empty();
  $('#calendar').fullCalendar({
    header: {
        left: 'prev,next today',
        center: 'title',
        right: 'month agendaWeek agendaDay'
    },
    defaultView: 'agendaWeek',
    weekends: true,
    firstHour: 9,
    minTime: '09:00:00',
    maxTime: '20:00:00',
    height: 'auto',
    allDaySlot: false,
    views: {
      month: {
        titleFormat: titleFormatMonth
      },
      week: {
        titleFormat: titleFormatWeek
      },
      day: {
        titleFormat: titleFormatDay
      }
    },
    buttonText: {
      prev:     '<',
      next:     '>',
      month:    monthText,
      week:     weekText,
      day:      dayText,
      today:    todayText
    },
    dayNames: weekdayNames,
    dayNamesShort: weekdayShortNames,
    eventClick: eventClickFunc,
    events: allEvents
  })
}
