module CommonEngine
  class Favorite < ApplicationRecord
    default_scope -> {where(valid_flg: false)}

    belongs_to :idle, class_name: 'CommonEngine::Idle', primary_key: 'id', foreign_key: 'idle_id'
    belongs_to :user, class_name: 'CommonEngine::User', primary_key: 'id', foreign_key: 'user_id'
  end
end
