require_relative '../concerns/login_module.rb'
require_relative '../concerns/image_uploader.rb'

module CommonEngine
  class User < ApplicationRecord
    include CommonEngine::LoginModule

    default_scope -> {where(valid_flg: false)}

    has_many :user_login_history
    has_many :favorites

    mount_uploader :icon, CommonEngine::ImageUploader
  end
end
